Skip to main content
PATCH
/
v1
/
templates
/
{id}
Update template metadata
curl --request PATCH \
  --url https://api.lithoblocks.com/v1/templates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "<string>",
  "user_name": "<string>",
  "icon_emoji": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "user_name": "<string>",
  "icon_emoji": "<string>",
  "updated_at": "<string>",
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lithoblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

LithoBlocks API key obtained from your organization dashboard

Path Parameters

id
string
required

Body

application/json

Template update data

name
string
Required string length: 1 - 255
type
string
Maximum string length: 100
user_name
string
Maximum string length: 100
icon_emoji
string
Maximum string length: 10

Response

Template updated successfully

id
string
required
name
string | null
required
type
string | null
required
user_name
string | null
required
icon_emoji
string | null
required
updated_at
string
required
message
string
required